export declare type ModelType = 'product' | 'variation' | 'variation_option' | 'cart' | 'cart_item' | 'store' | 'order' | 'order_item' | 'transaction' | 'address' | 'customer' | 'collection' | 'price_list' | 'price' | 'stock_location' | 'stock_item';
declare type Metadata = {
    [key: string]: any;
};
export interface ResourceType {
    readonly type: ModelType;
}
export interface ResourceId extends ResourceType {
    readonly id: string;
}
export interface Resource extends ResourceId {
    metadata?: Metadata;
}
export interface ResourceCreate {
    metadata?: Metadata;
}
export interface ResourceUpdate {
    readonly id: string;
    metadata?: Metadata;
}
export declare const isResourceId: (resource: any) => resource is ResourceId;
export declare const isResourceType: (resource: any) => resource is ResourceType;
export {};
